Jump to: navigation, search

9.0.007.08

Genesys Cloud API Driver for Facebook Release Notes


9.x
Genesys Cloud API Driver for Facebook is part of 9.x starting in 9.0.001.02.
Release Date Release Type Restrictions AIX Linux Solaris Windows
07/05/19 Update X X X X

Helpful Links

Releases Info

Product Documentation

Genesys Products


What's New

This release contains the following new features and enhancements:

  • HUB account password is now masked in Configuration Manager, Genesys Administration Extension (GAX) and DMS log. To implement password masking, the gsa-user-password field in the channel configuration is renamed to password for every media channel used. (SMD-6009)
    Important
    You must rename the gsa-user-password configuration option to password to ensure that the driver initializes and functions properly.
  • Support for media attachments in outbound Facebook private messages, posts, and comments. (SMD-6021, SMD-6026)
  • Support for the CentOS Linux 7 operating system. See the Messaging Apps/Social Engagement page in the Genesys Supported Operating Environment Reference Guide for more detailed information and a list of all supported operating systems. (SMD-6006)



Resolved Issues

This release contains the following resolved issues:


The SesSendOutbMsg method now also checks UserAttachedData for the pmThreadId parameter presence. (SMD-6071)


An issue that caused Facebook session messages to fail when Hub was unable to fetch user profile from Facebook, is fixed. (SMD-6053)


Improved the driver’s logging strategy to log errors properly. (SMD-6040)


HUB error processing logic is improved. Messages with bad request error code (400) are logged to the DMS log file and reported as errors to the caller. (SMD-5999)


Facebook reactions count is now displayed in WDE when x-submit-comments-itx is set to true in the Facebook channel configuration. (SMD-5992)


An issue that caused an error when Hub fails to fetch user profile data for incoming interactions, is now fixed.




Upgrade Notes

The Cloud API Driver for Facebook 9.0.007.08 is compatible only with Social Media Plugin for WDE 9.0.007.11 and Cloud API Driver for Twitter 9.0.007.07. The plugin and drivers must be upgraded together.

This page was last modified on July 5, 2019, at 12:06.

Feedback

Comment on this article:

blog comments powered by Disqus